diff --git a/ChangeLog b/ChangeLog
index c15271090..6ae422d80 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,7 @@
 0.8 to current
 
+	Added :winc[md] command-line command.  Thanks to fogine.
+
 	Fixed resetting "vborder" of 'fillchars' after it has been set to
 	something (as in `:set fillchars=vborder:\* fillchars&`).
 
diff --git a/data/man/vifm.1 b/data/man/vifm.1
index ddcc7c7ff..3bec9e601 100644
--- a/data/man/vifm.1
+++ b/data/man/vifm.1
@@ -1,4 +1,4 @@
-.TH VIFM 1 "July 09, 2015" "vifm 0.8"
+.TH VIFM 1 "July 13, 2015" "vifm 0.8"
 .\" ---------------------------------------------------------------------------
 .SH NAME
 .\" ---------------------------------------------------------------------------
@@ -1112,6 +1112,7 @@ These commands see '|' as part of their arguments even when it's escaped:
     :qnoremap
     :vmap
     :vnoremap
+    :wincmd
     :windo
     :winrun
 
@@ -2323,6 +2324,11 @@ toggle window vertical splitting.
 split the window vertically to show both file directories.  And changes other
 pane to path (absolute or relative to current directory of active pane).
 .TP
+.BI "                                         :wincmd"
+.TP
+.BI ":[count]winc[md] {arg}"
+same as running Ctrl-W [count] {arg}.
+.TP
 .BI "                                         :windo"
 .TP
 .BI ":windo [command...]"
diff --git a/data/vim/doc/app/vifm-app.txt b/data/vim/doc/app/vifm-app.txt
index 971952bfe..09edf4714 100644
--- a/data/vim/doc/app/vifm-app.txt
+++ b/data/vim/doc/app/vifm-app.txt
@@ -1,4 +1,4 @@
-*vifm-app.txt*    For Vifm version 0.8  Last change: 2015 Jul 09
+*vifm-app.txt*    For Vifm version 0.8  Last change: 2015 Jul 13
 
  Email for bugs and suggestions: <xaizek@openmailbox.org>
 
@@ -998,6 +998,7 @@ These commands see '|' as part of their arguments even when it's escaped:
     :qnoremap
     :vmap
     :vnoremap
+    :wincmd
     :windo
     :winrun
 
@@ -1952,6 +1953,9 @@ yet supported) and might be changed in future releases, or get an alias.
     other pane to the path (absolute or relative to current directory of active
     pane).
 
+:[count]winc[md] {arg}                         *vifm-:wincmd* *vifm-:winc*
+    same as running Ctrl-W [count] {arg}.
+
 :windo [command...]                            *vifm-:windo*
     execute command for each pane (same as :winrun % command).
 
diff --git a/data/vim/syntax/vifm.vim b/data/vim/syntax/vifm.vim
index c7203cc62..c307e25bd 100644
--- a/data/vim/syntax/vifm.vim
+++ b/data/vim/syntax/vifm.vim
@@ -1,6 +1,6 @@
 " vifm syntax file
 " Maintainer:  xaizek <xaizek@openmailbox.org>
-" Last Change: April 26, 2015
+" Last Change: July 13, 2015
 " Based On:    Vim syntax file by Dr. Charles E. Campbell, Jr.
 
 if exists('b:current_syntax')
@@ -19,7 +19,7 @@ syntax keyword vifmCommand contained alink apropos change chmod chown clone
 		\ lstrash marks mes[sages] mkdir m[ove] noh[lsearch] on[ly] popd pushd pwd
 		\ q[uit] redr[aw] reg[isters] rename restart restore rlink screen sh[ell]
 		\ sor[t] sp[lit] s[ubstitute] touch tr trashes sync undol[ist] ve[rsion]
-		\ vie[w] vifm vs[plit] w[rite] wq x[it] y[ank] nextgroup=vifmArgs
+		\ vie[w] vifm vs[plit] winc[md] w[rite] wq x[it] y[ank] nextgroup=vifmArgs
 
 " commands that might be prepended to a command without changing everything else
 syntax keyword vifmPrefixCommands contained windo winrun
diff --git a/src/commands.c b/src/commands.c
index 314af855a..4b39390e3 100644
--- a/src/commands.c
+++ b/src/commands.c
@@ -299,6 +299,7 @@ static int do_map(const cmd_info_t *cmd_info, const char map_type[], int mode,
 		int no_remap);
 static int vunmap_cmd(const cmd_info_t *cmd_info);
 static int do_unmap(const char *keys, int mode);
+static int wincmd_cmd(const cmd_info_t *cmd_info);
 static int windo_cmd(const cmd_info_t *cmd_info);
 static int winrun_cmd(const cmd_info_t *cmd_info);
 static int winrun(FileView *view, const char cmd[]);
@@ -516,6 +517,8 @@ static const cmd_add_t commands[] = {
 		.handler = vsplit_cmd,      .qmark = 0,      .expand = 0, .cust_sep = 0,         .min_args = 0, .max_args = 1,       .select = 0, },
 	{ .name = "vunmap",           .abbr = "vu",    .emark = 0,  .id = -1,              .range = 0,    .bg = 0, .quote = 0, .regexp = 0,
 		.handler = vunmap_cmd,      .qmark = 0,      .expand = 0, .cust_sep = 0,         .min_args = 1, .max_args = 1,       .select = 0, },
+	{ .name = "wincmd",           .abbr = "winc",  .emark = 0,  .id = COM_WINCMD,      .range = 1,    .bg = 0, .quote = 0, .regexp = 0,
+		.handler = wincmd_cmd,      .qmark = 0,      .expand = 0, .cust_sep = 0,         .min_args = 1, .max_args = 1,       .select = 0, },
 	{ .name = "windo",            .abbr = NULL,    .emark = 0,  .id = COM_WINDO,       .range = 0,    .bg = 0, .quote = 0, .regexp = 0,
 		.handler = windo_cmd,       .qmark = 0,      .expand = 0, .cust_sep = 0,         .min_args = 0, .max_args = NOT_DEF, .select = 0, },
 	{ .name = "winrun",           .abbr = NULL,    .emark = 0,  .id = COM_WINRUN,      .range = 0,    .bg = 0, .quote = 0, .regexp = 0,
@@ -1354,6 +1357,7 @@ is_whole_line_command(const char cmd[])
 		case COM_VMAP:
 		case COM_VNOREMAP:
 		case COM_NOREMAP:
+		case COM_WINCMD:
 		case COM_WINDO:
 		case COM_WINRUN:
 			return 1;
@@ -4264,6 +4268,34 @@ do_unmap(const char *keys, int mode)
 	return 0;
 }
 
+/* Executes Ctrl-W [count] {arg} normal mode command. */
+static int
+wincmd_cmd(const cmd_info_t *cmd_info)
+{
+	int count;
+	char *cmd;
+	wchar_t *wcmd;
+
+	if(cmd_info->count != NOT_DEF && cmd_info->count < 0)
+	{
+		return CMDS_ERR_INVALID_RANGE;
+	}
+	if(cmd_info->args[0] == '\0' || cmd_info->args[1] != '\0')
+	{
+		return CMDS_ERR_INVALID_ARG;
+	}
+
+	count = (cmd_info->count <= 1) ? 1 : cmd_info->count;
+	cmd = format_str("\x17%d%s", count, cmd_info->args);
+	wcmd = to_wide(cmd);
+	free(cmd);
+
+	(void)execute_keys_timed_out(wcmd);
+	free(wcmd);
+	return 0;
+}
+
+/* Prefix that execute same command-line command for both panes. */
 static int
 windo_cmd(const cmd_info_t *cmd_info)
 {
diff --git a/src/commands_completion.h b/src/commands_completion.h
index c469807e4..f87f44eca 100644
--- a/src/commands_completion.h
+++ b/src/commands_completion.h
@@ -43,6 +43,7 @@ enum
 	COM_SYNC,
 	COM_LET,
 	COM_UNLET,
+	COM_WINCMD,
 	COM_WINDO,
 	COM_WINRUN,
 	COM_TOUCH,
diff --git a/src/tags.c b/src/tags.c
index 690f61c7a..2e5105c7d 100644
--- a/src/tags.c
+++ b/src/tags.c
@@ -306,6 +306,8 @@ const char *tags[] = {
 	"vifm-:vu",
 	"vifm-:vunmap",
 	"vifm-:w",
+	"vifm-:winc",
+	"vifm-:wincmd",
 	"vifm-:windo",
 	"vifm-:winrun",
 	"vifm-:wq",
